Download it now!
Bug 104047 - Remove dispensable palettes
Summary: Remove dispensable palettes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: needsUXEval
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2016-11-20 05:40 UTC by Heiko Tietze
Modified: 2017-11-17 14:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-11-20 05:40:59 UTC
As discussed in bug 80196 and in http://nabble.documentfoundation.org/quot-LibreColour-quot-palettes-for-LibreOffice-td4200043.html the palettes cmyk, palette, gallery, and web are dispensable.
Comment 1 Heiko Tietze 2016-11-20 07:24:25 UTC
Scribus.soc is also obsolete since it is not one of Scribus' native color sets but rather consists of X11 colors.
Comment 3 Yousuf Philips (jay) (retired) 2016-11-22 16:11:41 UTC
It suggest the removal of the libreoffice and tango palettes as well.
Comment 4 Heiko Tietze 2016-11-22 18:16:32 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> It suggest the removal of the libreoffice and tango palettes as well.

Could live with Tango but not without LibO as our own branding palette. Rather drop everything else.
Comment 5 Yousuf Philips (jay) (retired) 2016-11-23 15:14:51 UTC
(In reply to Heiko Tietze from comment #4)
> Could live with Tango but not without LibO as our own branding palette.

How is a brand palette useful to the regular user?
Comment 6 Heiko Tietze 2016-11-23 16:42:21 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> (In reply to Heiko Tietze from comment #4)
> > Could live with Tango but not without LibO as our own branding palette.
> 
> How is a brand palette useful to the regular user?

Palettes in general are useful, and the LibreOffice branding in particular for us. You will know Microsoft graphics, for instance, by the ugly Excel design and their colors. We'd loose our identity without own colors that makes LibO documents unique. Actually I would made this the standard but haven't thought about bug 87538. Today we use "Tango: Sky Blue 1" very often (despite the bad name it's not our branding what we use).
Comment 7 Yousuf Philips (jay) (retired) 2016-11-23 19:11:14 UTC
(In reply to Heiko Tietze from comment #6)
> Palettes in general are useful, and the LibreOffice branding in particular
> for us. You will know Microsoft graphics, for instance, by the ugly Excel
> design and their colors. We'd loose our identity without own colors that
> makes LibO documents unique. Actually I would made this the standard but
> haven't thought about bug 87538. Today we use "Tango: Sky Blue 1" very often
> (despite the bad name it's not our branding what we use).

The 32-colors of the LibreOffice palette is available in the standard palette, so there isnt a need for a palette that only has the LibreOffice branded colors in it. You can find 'Tango: Sky Blue 1' as the second last color in the standard palette.
Comment 8 Heiko Tietze 2016-11-23 21:20:11 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> ...You can find 'Tango: Sky Blue 1' as the second last
> color in the standard palette.

Sorry for my bad English. Was trying to explain my point but failed obviously. I was not looking for this color but took it as an example.
Comment 9 Commit Notification 2016-12-13 18:32:40 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4dc0ce3926eec0d21d6932554c88d818545f4bb

tdf#104047 - Remove dispensable palettes

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-12-21 13:18:55 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a038b353af6e0658f1151613db11de90d9dda9f2&h=libreoffice-5-3

tdf#104047 - Remove dispensable palettes

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.